Summary: Apache module for streaming (mod_smooth_streaming)
Name: mod_smooth_streaming
Version: 1.11.9
Release: 1
Source: mod_smooth_streaming-%version.tar.gz
Packager: Unified Streaming <support@unified-streaming.com>
License: Commercial
Group: Applications/Video
URL: http://www.unified-streaming.com
Requires: fmp4 = 1.11.9
BuildPrereq: libtool zlib-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
The mod_smooth_streaming module.

%package -n mod_unified_remix
Summary: Apache module for Unified Remix (mod_unified_remix)
Group: Applications/Video
Requires: fmp4 = 1.11.9

%description -n mod_unified_remix
The mod_unified_remix module.

%package -n mod_unified_s3_auth
Summary: Apache module for S3 Authentication (mod_unified_s3_auth)
Group: Applications/Video
Requires: fmp4 = 1.11.9

%description -n mod_unified_s3_auth
The mod_unified_s3_auth module.

%package -n mod_unified_transcode
Summary: Apache module for Unified Transcode (mod_unified_transcode)
Group: Applications/Video
Requires: fmp4 = 1.11.9

%description -n mod_unified_transcode
The mod_unified_transcode module.

%prep

%setup -q

%if 0%{?amzn} >= 2
%ifarch aarch64
%define optflags %{__global_cflags} -march=armv8-a+crc+crypto -mtune=cortex-a72
%endif
%define compiler_env export CC=gcc10-gcc CXX=gcc10-g++
%endif

%build
rm -rf %{buildroot}
%{?compiler_env}
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%{?compiler_env}
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/etc/httpd/conf.modules.d
for m in smooth_streaming unified_remix unified_s3_auth unified_transcode; do
  echo "LoadModule ${m}_module modules/mod_${m}.so" > $RPM_BUILD_ROOT/etc/httpd/conf.modules.d/15-mod_${m}.conf
done

%clean
rm -rf %{buildroot}

%post

%preun

%files
%defattr(-,root,root)
%doc README LICENSE
%config(noreplace) %{_httpd_modconfdir}/15-mod_smooth_streaming.conf
%{_httpd_moddir}/mod_smooth_streaming.so

%files -n mod_unified_remix
%defattr(-,root,root)
%doc README LICENSE
%config(noreplace) %{_httpd_modconfdir}/15-mod_unified_remix.conf
%{_httpd_moddir}/mod_unified_remix.so

%files -n mod_unified_s3_auth
%defattr(-,root,root)
%doc README LICENSE
%config(noreplace) %{_httpd_modconfdir}/15-mod_unified_s3_auth.conf
%{_httpd_moddir}/mod_unified_s3_auth.so

%files -n mod_unified_transcode
%defattr(-,root,root)
%doc README LICENSE
%config(noreplace) %{_httpd_modconfdir}/15-mod_unified_transcode.conf
%{_httpd_moddir}/mod_unified_transcode.so

%changelog
* Mon May 31 2021 11:21 <dimitry@unified-streaming.com>
- Merged all Unified Apache modules into one spec file

* Thu Oct 13 2011 12:41 <dirk@code-shop.com>
- initial version
